<?php
if (!defined( 'ABSPATH' )) exit;
class woo2app_core_api_pay_methods {
	public function __construct(){
		add_action( 'init', array( $this , 'woo2app_api_regular_url' ));
		add_filter( 'query_vars', array( $this , 'woo2app_api_query_vars' ));
		add_action( 'parse_request', array( $this , 'woo2app_api_parse_request' ));
	}
	function woo2app_api_regular_url(){
		add_rewrite_rule('', 'index.php?GET_pay_methods', 'top');
	}
	function woo2app_api_query_vars($query_vars){
		$query_vars[] = 'GET_pay_methods';
		return $query_vars;
	}
	function woo2app_api_parse_request(&$wp){
		if ( array_key_exists( 'GET_pay_methods' , $wp->query_vars ) ) {
	        $this->woo2app_GET_pay_methods();
	        exit();
	    }
	    return;
	}
	function woo2app_GET_pay_methods(){
		global $woocommerce;
            $currency = get_option('woocommerce_currency');
            $payment_methods = $woocommerce->payment_gateways->get_available_payment_gateways();
            if ($_POST['version'] == 2) {
                foreach ($payment_methods as $methods) {
                    $method[] = $methods;
                }
                $payment_methods = $method;
            }
			$array = array();
            foreach ($payment_methods as $key => $value) {
            	$array[] = $value;
            }
            $payment_methods = $array;
        wp_send_json(array('currency' => $currency, 'payment_methods' => $payment_methods));
	}
}